- Qt 6.8
- Qt Help
- C++ Classes
- QHelpContentItem
- Qt 6.8.0 Reference Documentation

# QHelpContentItem Class

The QHelpContentItem class provides an item for use with QHelpContentModel. More...

Header: | #include <QHelpContentItem>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help

- List of all members, including inherited members

## Public Functions

| ~QHelpContentItem()
QHelpContentItem * | child(int row) const
int | childCount() const
int | childPosition(QHelpContentItem *child) const
QHelpContentItem * | parent() const
int | row() const
QString | title() const
QUrl | url() const

## Detailed Description

## Member Function Documentation

### `[noexcept]` QHelpContentItem::~QHelpContentItem()

Destroys the help content item.

### QHelpContentItem *QHelpContentItem::child(int row) const

Returns the child of the content item in the give row.

See also parent().

### int QHelpContentItem::childCount() const

Returns the number of child items.

### int QHelpContentItem::childPosition(QHelpContentItem *child) const

Returns the position of a given child.

### QHelpContentItem *QHelpContentItem::parent() const

Returns the parent content item.

### int QHelpContentItem::row() const

Returns the row of this item from its parents view.

### QString QHelpContentItem::title() const

Returns the title of the content item.

### QUrl QHelpContentItem::url() const

Returns the URL of this content item.